|  | Home · All Classes · Modules

# QStyleOptionToolButton Class Reference
[QtGui module]

The QStyleOptionToolButton class is used to describe the parameters for drawing a tool button. More...

Inherits QStyleOptionComplex.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }
- enum ToolButtonFeature { None_, Arrow, Menu, PopupDelay, MenuButtonPopup, HasMenu }
- class ToolButtonFeatures

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionToolButton other)

### Members

- Qt.ArrowType arrowType
- ToolButtonFeatures features
- QFont font
- QIcon icon
- QSize iconSize
- QPoint pos
- QString text
- Qt.ToolButtonStyle toolButtonStyle

## Detailed Description

The QStyleOptionToolButton class is used to describe the parameters for drawing a tool button.

QStyleOptionToolButton contains all the information that QStyle functions need to draw QToolButton.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

## Type Documentation

### QStyleOptionToolButton.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolButton.Type` | `SO_ToolButton` | The type of style option provided (SO_ToolButton for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionToolButton.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolButton.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

### QStyleOptionToolButton.ToolButtonFeature

Describes the various features that a tool button can have.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolButton.None` | `0x00` | A normal tool button.
`QStyleOptionToolButton.Arrow` | `0x01` | The tool button is an arrow.
`QStyleOptionToolButton.Menu` | `0x04` | The tool button has a menu.
`QStyleOptionToolButton.PopupDelay` | `0x08` | There is a delay to showing the menu.
`QStyleOptionToolButton.HasMenu` | `0x10` | The button has a popup menu.
`QStyleOptionToolButton.MenuButtonPopup` | `Menu` | The button should display an arrow to indicate that a menu is present.

The ToolButtonFeatures type is a typedef for QFlags<ToolButtonFeature>. It stores an OR combination of ToolButtonFeature values.

See also features, QToolButton.toolButtonStyle(), and QToolButton.popupMode().

## Method Documentation

### QStyleOptionToolButton.__init__ (self)

Constructs a QStyleOptionToolButton, initializing the members variables to their default values.

### QStyleOptionToolButton.__init__ (self, QStyleOptionToolButton other)

Constructs a copy of the other style option.

## Member Documentation

### Qt.ArrowType arrowType

This variable holds the direction of the arrow for the tool button.

This value is only used if features includes Arrow. The default value is Qt.DownArrow.

### ToolButtonFeatures features

This variable holds an OR combination of the tool button's features.

The default value is None.

See also ToolButtonFeature.

### QFont font

This variable holds the font that is used for the text.

This value is only used if toolButtonStyle is Qt.ToolButtonTextUnderIcon, Qt.ToolButtonTextBesideIcon, or Qt.ToolButtonTextOnly. By default, the application's default font is used.

### QIcon icon

This variable holds the icon for the tool button.

The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

See also iconSize.

### QSize iconSize

This variable holds the size of the icon for the tool button.

The default value is QSize(-1, -1), i.e. an invalid size.

### QPoint pos

This variable holds the position of the tool button.

The default value is a null point, i.e. (0, 0)

### QString text

This variable holds the text of the tool button.

This value is only used if toolButtonStyle is Qt.ToolButtonTextUnderIcon, Qt.ToolButtonTextBesideIcon, or Qt.ToolButtonTextOnly. The default value is an empty string.

### Qt.ToolButtonStyle toolButtonStyle

This variable holds a Qt.ToolButtonStyle value describing the appearance of the tool button.

The default value is Qt.ToolButtonIconOnly.

See also QToolButton.toolButtonStyle().